package ai.pai.lensman.upload;

import java.util.ArrayList;

import ai.pai.lensman.base.BasePresenter;
import ai.pai.lensman.base.BaseView;
import ai.pai.lensman.bean.SessionBean;

public class UploadContract {

    interface View extends BaseView {

        void showBoxDisconnectedView();
        void showBoxConnectedView();
        void showEmptyView();
        void showSessionViews();
        void updateSessionUploadView(SessionBean bean);
        void refreshSessionViews(ArrayList<SessionBean> sessionList);
        void setNewSessionBtnEnabled(boolean isEnabled);
    }

    interface Presenter extends BasePresenter{
        SessionBean createNewSession();

    }

}
